MidnightBSD Magus

www/google-sitemapgen

Script to analyze web server and generate Google Sitemap files

Flavor Version Run OSVersion Arch License Restricted Status
py37 1.5_1 379 1.1 i386 bsd3 0 fail

Events

Machine Type Time Message
m1132 fail 2019-04-20 16:37:11.85144 Test complete.
m1132 fail 2019-04-20 16:37:11.812956 A file in the plist wasn't installed in the fake dir or the final dir.
m1132 info 2019-04-20 16:36:55.102091 Test Started

Log

===>  Faking install for google-sitemapgen-1.5_1
===>   Generating temporary packing list
running install
running build
running build_py
running install_lib
creating /magus/work/usr/mports/www/google-sitemapgen/work-py37/fake-inst-i386/usr/local/lib/python3.7
creating /magus/work/usr/mports/www/google-sitemapgen/work-py37/fake-inst-i386/usr/local/lib/python3.7/site-packages
copying build/lib/sitemap_gen.py -> /magus/work/usr/mports/www/google-sitemapgen/work-py37/fake-inst-i386/usr/local/lib/python3.7/site-packages
byte-compiling /magus/work/usr/mports/www/google-sitemapgen/work-py37/fake-inst-i386/usr/local/lib/python3.7/site-packages/sitemap_gen.py to sitemap_gen.cpython-37.pyc
writing byte-compilation script '/tmp/tmp977mcbc0.py'
/usr/local/bin/python3.7 /tmp/tmp977mcbc0.py
  File "/usr/local/lib/python3.7/site-packages/sitemap_gen.py", line 58
    print 'This script requires Python 2.2 or later.'
                                                    ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print('This script requires Python 2.2 or later.')?

removing /tmp/tmp977mcbc0.py
running install_egg_info
running egg_info
creating sitemap_gen.egg-info
writing sitemap_gen.egg-info/PKG-INFO
writing dependency_links to sitemap_gen.egg-info/dependency_links.txt
writing top-level names to sitemap_gen.egg-info/top_level.txt
writing manifest file 'sitemap_gen.egg-info/SOURCES.txt'
reading manifest file 'sitemap_gen.egg-info/SOURCES.txt'
writing manifest file 'sitemap_gen.egg-info/SOURCES.txt'
Copying sitemap_gen.egg-info to /magus/work/usr/mports/www/google-sitemapgen/work-py37/fake-inst-i386/usr/local/lib/python3.7/site-packages/sitemap_gen-1.5-py3.7.egg-info
running install_scripts
writing list of installed files to '/magus/work/usr/mports/www/google-sitemapgen/work-py37/.PLIST.pymodtmp'
  File "/usr/local/lib/python3.7/site-packages/sitemap_gen.py", line 58
    print 'This script requires Python 2.2 or later.'
                                                    ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print('This script requires Python 2.2 or later.')?

====> Compressing man pages (fake-compress-man)
if [ -d "/magus/work/usr/mports/www/google-sitemapgen/work-py37/fake-inst-i386/usr/local/lib/python3.7/site-packages/sitemap_gen-1.5-py3.7.egg-info" ]; then  /bin/ls /magus/work/usr/mports/www/google-sitemapgen/work-py37/fake-inst-i386/usr/local/lib/python3.7/site-packages/sitemap_gen-1.5-py3.7.egg-info | while read f; do  echo lib/python3.7/site-packages/sitemap_gen-1.5-py3.7.egg-info/${f} >> /magus/work/usr/mports/www/google-sitemapgen/work-py37/.PLIST.mktmp;  done;  fi;
Checking /magus/work/usr/mports/www/google-sitemapgen/work-py37/fake-inst-i386
		lib/python3.7/site-packages/sitemap_gen.pyc not installed.
		lib/python3.7/site-packages/sitemap_gen.pyo not installed.
Fake failed.
*** Error code 1

Stop.
make: stopped in /usr/mports/www/google-sitemapgen